Page MenuHomePhabricator

Dragging a template to the top of the page shouldn't remove it
Closed, ResolvedPublic8 Story Points

Description

What I did:
I tried to drag a template (i.e., with the trackpad) from just below the ==Section heading== to just above it (to the very top of the page).

Result:
The template was removed from the page: https://office.wikimedia.org/w/index.php?diff=229502&oldid=229446

Expectations:
Moving a template shouldn't delete it.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 30 2018, 5:44 AM

It isn't designed to do that - it appears the template is getting deleted no matter where you drag it...

Esanders claimed this task.Apr 2 2018, 4:56 PM
Esanders triaged this task as Unbreak Now! priority.
Esanders edited projects, added VisualEditor (Current work); removed VisualEditor.
Restricted Application added subscribers: Liuxinyu970226, TerraCodes. · View Herald TranscriptApr 2 2018, 4:56 PM

Change 423505 had a related patch set uploaded (by Esanders; owner: Esanders):
[VisualEditor/VisualEditor@master] Follow-up I2be081c76: Fix drop bugs

https://gerrit.wikimedia.org/r/423505

Change 423505 merged by jenkins-bot:
[VisualEditor/VisualEditor@master] Follow-up I2be081c76: Fix drop bugs

https://gerrit.wikimedia.org/r/423505

Change 423750 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/extensions/VisualEditor@master] Update VE core submodule to master (81bbd2732)

https://gerrit.wikimedia.org/r/423750

Change 423750 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] Update VE core submodule to master (81bbd2732)

https://gerrit.wikimedia.org/r/423750

Deskana added a subscriber: Deskana.Apr 3 2018, 6:28 PM

This needs SWAT deployment now.

Change 423760 had a related patch set uploaded (by Jforrester; owner: Esanders):
[VisualEditor/VisualEditor@wmf/1.31.0-wmf.27] Follow-up I2be081c76: Fix drop bugs

https://gerrit.wikimedia.org/r/423760

Change 423760 merged by Jforrester:
[VisualEditor/VisualEditor@wmf/1.31.0-wmf.27] Follow-up I2be081c76: Fix drop bugs

https://gerrit.wikimedia.org/r/423760

Change 423764 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/extensions/VisualEditor@wmf/1.31.0-wmf.27] Update VE core submodule to 1.31.0-wmf.27 HEAD (ee8998c23)

https://gerrit.wikimedia.org/r/423764

Change 423764 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@wmf/1.31.0-wmf.27] Update VE core submodule to 1.31.0-wmf.27 HEAD (ee8998c23)

https://gerrit.wikimedia.org/r/423764

Mentioned in SAL (#wikimedia-operations) [2018-04-04T23:42:26Z] <catrope@tin> Synchronized php-1.31.0-wmf.27/extensions/VisualEditor/lib/ve: Fix VE drag-and-drop bugs (T191103) (duration: 01m 17s)

Jdforrester-WMF set the point value for this task to 8.
Jdforrester-WMF added a subscriber: Jdforrester-WMF.

Now deployed to wmf.27.

Deskana closed this task as Resolved.Apr 9 2018, 3:29 PM